import Qt 4.7

Rectangle {
    width: 440; height: 340
    color: "lightGray"

    Rectangle {
        id: whiteRect
        width: 380; height: 280
        color: "white"
        anchors.verticalCenter: parent.verticalCenter
        anchors.horizontalCenter: parent.horizontalCenter

        property real scaleVal: 0.9

        Image {
            source: "pics/lemonade.jpg"
            anchors.verticalCenter: parent.verticalCenter
            anchors.horizontalCenter: parent.horizontalCenter
            PropertyAnimation on rotation {
                id: anim
                from: 0; to: 360; duration: 10000
                easing.type: Easing.OutElastic
                loops: Animation.Infinite
            }
            MouseArea {
                anchors.fill: parent
                onDoubleClicked: anim.paused = !anim.paused
            }
        }

        // Slight different to the C++ version is that
        // in QML case the cyan rectangles are children
        // of the white rectangle and in C++ case they're
        // children of the lightGray background rectangle.
        // x / y position calculations are bit different.
        Repeater {
            model: 20
            Rectangle {
                x: index * 20 - 9; y: 261
                width: 18; height: 8
                color: "cyan"
                MouseArea {
                    anchors.fill: parent
                    drag.target: parent
                }
            }
        }

        transform: Scale {
            origin { x: whiteRect.width / 2; y: whiteRect.height / 2 }
            xScale: whiteRect.scaleVal
            yScale: 1 / whiteRect.scaleVal
        }

        SequentialAnimation on scaleVal {
            NumberAnimation { from: 0.9; to: 1.1; duration: 10000 }
            NumberAnimation { from: 1.1; to: 0.9; duration: 10000 }
            onCompleted: start()
        }

    }
}
