#include <qdeclarative.h>
#include <QDebug>
#include "qmlpluginexample.h"
#include "settingswriter.h"

void QmlPluginExample::registerTypes(const char *uri)
{
    qDebug(qPrintable(QString("registerTypes called: ") + uri));

    // Registers C++ classes into QML as components
    // Major version number, minor version number and QML component name
    qmlRegisterType<SettingsWriter>(uri, 1, 0, "SettingsWriter");
}

// Declares a plug-in named "qmlpluginexample" which is implemented
// in QmlPluginExample class. The class must inherint
// QDeclarativeExtensionPlugin and implement registerTypes function
// The DLL built from this plug-in is moved into a directory under
// the QML source tree and a file named "qmldir" must be placed there
// The "qmldir" file contains line "plugin qmlpluginexample", which
// tells the QML runtime to load a plug-in with that name.
Q_EXPORT_PLUGIN2(qmlpluginexample, QmlPluginExample);
